VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "clsFI_Query"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Option Explicit

Private m_sName As String
Private m_sQuery As String
Private m_bActive As Boolean
Private m_sTag As String
Private m_sGUID As String

Public Property Get Active() As Boolean
    Active = m_bActive
End Property
Public Property Let Active(bNewActive As Boolean)
    m_bActive = bNewActive
End Property

Public Property Get Tag() As String
    Tag = m_sTag
End Property
Public Property Let Tag(sNewTag As String)
    m_sTag = sNewTag
End Property

Public Property Get GUID() As String
    GUID = m_sGUID
End Property
Public Property Let GUID(sNewGUID As String)
    m_sGUID = sNewGUID
End Property

Public Property Get Name() As String
    Name = m_sName
End Property
Public Property Let Name(sNewName As String)
    m_sName = sNewName
End Property

Public Property Get Query() As String
    Query = m_sQuery
End Property
Public Property Let Query(sNewQuery As String)
    m_sQuery = sNewQuery
End Property

Private Sub Class_Initialize()
    GUID = GetGUID("Query")
    Active = True
End Sub
